%set_firefox_version_specific

%define rname	ru
%define cid		\{9E20245A-B2EE-4ee6-815B-99C30B35D0D2\}
%define ciddir 	%firefox_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%firefox_version
Release:	alt1
Summary:	Russian (RU) Language Pack for Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://www.mozilla.ru/

Source0:	%firefox_name-%firefox_version-ru-RU.xpi
Source1:	S00firefox-ru.sh

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: firefox-switch-locales
Requires: %firefox_name = %firefox_version

%description
The Mozilla Firefox Russian translation.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%__install -D -m 755 %SOURCE1                          %buildroot/%firefox_initd/S00%name.sh
%__subst 's,@cid@,%cid,g'                              %buildroot/%firefox_initd/S00%name.sh

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
  [ ! -f "%firefox_chromedir/chrome.rdf" ] || %__rm -f %firefox_chromedir/chrome.rdf
  %firefox_register
fi

%files
%ciddir
%firefox_initd/S00%name.sh

%changelog
* Thu Apr 18 2006 LAKostis <lakostis at altlinux.ru> 1.0.8-alt1
- new version.
- fix URL.

* Wed Oct 12 2005 LAKostis <lakostis at altlinux.ru> 1.0.7-alt1
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt3
- firefox after firefox-ru installation will be switched to ru_RU.
- postun script bugfix.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt2
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1
- new version;

* Tue Jun 21 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt1
- rebuild with new firefox.

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.3-alt1
- new version;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1.1
- postscript bugfix;

* Wed Mar 02 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1
- new version;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- new version;
- new extension scheme;

* Mon Jul 05 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt1
- New version;
- New build scheme.

* Thu Mar 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- New build scheme;
- New version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.7-alt2
- First build for ALT Linux.
